From aca4959fb281a824a99fc5e4a863bdb69c8a9640 Mon Sep 17 00:00:00 2001
From: Diego Escalante Urrelo <diegoe@gnome.org>
Date: Wed, 22 Apr 2009 16:48:08 -0500
Subject: [PATCH 2/3] Remove unused *printf* variants

This were causing the build to fail in some archs.
---
 src/snprintf.c |   42 +-----------------------------------------
 src/snprintf.h |    5 -----
 2 files changed, 1 insertions(+), 46 deletions(-)

--- htp.orig/src/snprintf.c
+++ htp/src/snprintf.c
@@ -112,8 +112,6 @@
 #  undef HAVE_SNPRINTF
 #  undef HAVE_VSNPRINTF
 #  undef HAVE_C99_VSNPRINTF
-#  undef HAVE_ASPRINTF
-#  undef HAVE_VASPRINTF
 #  include <math.h>
 #endif /* TEST_SNPRINTF */
 
@@ -225,7 +223,7 @@
 	size_t currlen;
 	va_list args;
 
-	VA_COPY(args, args_in);
+	*args = *args_in;
 	
 	state = DP_S_DEFAULT;
 	currlen = flags = cflags = min = 0;
